
s = require 'flower'

function love.load()
	wd, ht = 800, 600
	love.graphics.setMode( wd, ht, {} )
	gt = 0
	love.graphics.setCaption( 'Flower' )
	screen = { wd, ht}
	love.mouse.setPosition( wd/2, ht/2 )
	s.effect:send( 'screen', screen )
	end

function love.update( dt )
	gt = gt + (math.pi/16) * dt
	s.effect:send( 'time', gt )
	mx, my = love.mouse.getPosition()
	s.effect:send( 'mouse', { mx / wd,( ht-my) / ht})
	end

function love.draw()
	love.graphics.setColor(255,255,255,255)
	love.graphics.setPixelEffect( s.effect )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )
	love.graphics.setPixelEffect()

	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
